Gift Cards

Gift Cards

8OAS 3.0

Get information about gift cards. See Wiki

API Base URL
  • Server 1:https://api-qual.migros.ch

    URL of upstream

Security
Kong-Api-Key (apiKey)

Kong key-auth authentication

basicAuth (http)

Basic authentication is a simple authentication scheme built into the HTTP protocol.
To use it, send your HTTP requests with an Authorization header that contains the word Basic
followed by a space and a base64-encoded string username:password.

Example: Authorization: Basic ZGVtbzpwQDU1dzByZA==

Additional Information
Contact MGB-UDP-Products-Services (arg_mgb-udp-products-services@mgb.ch)

Gift Cards

Get a single type of gift card (language-dependent)

Get information about a single type of gift card by ID.

Specify language via Accept-Language header.

get
https://api-qual.migros.ch/migros/customers/payment-methods/v1/giftcards/{id}

Query Parameters

langstring

Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Path Parameters

idstringrequired

Gift card ID

Headers

Accept-Languagestring

Defines the language (de/fr/it/en) for this request as request header. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Response

200 application/json

Returned when successful

GiftCard

Represents a gift card in the API.

classificationsarray[object]

Represents a gift card classification.

Show Child Parameters
digitalboolean

Is this a digital gift card or not.

disclaimerstring | null

Terms and conditions.

hintstring | null
idstringrequired

ID of the gift card.

imageOne Of
Imageobject

An image and its properties.

Show Child Parameters
namestringrequired
get/migros/customers/payment-methods/v1/giftcards/{id}
 
200 application/json